namespace IRaCIS.Core.Domain.Models;

[Comment("阅片肿瘤学  针对访视任务 添加了一个结果")]
[Table("ReadingOncologyTaskInfo")]
public class ReadingOncologyTaskInfo : BaseAddAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("OncologyTaskId")]
    public VisitTask OncologyVisitTask { get; set; }

    [JsonIgnore]
    [ForeignKey("VisitTaskId")]
    public VisitTask VisitTask { get; set; }
    #endregion
    [Comment("肿瘤学  阅片任务ID")]
    public Guid OncologyTaskId { get; set; }

    [Comment("产生肿瘤学阅片任务的  访视类型的阅片任务Id")]
    public Guid VisitTaskId { get; set; }

    [Comment("结果")]
    [StringLength(1000)]
    public string EvaluationResult { get; set; } = string.Empty;

    [Comment("原因")]
    public string EvaluationReason { get; set; } = string.Empty;
    [Comment("项目Id")]
    public Guid TrialId { get; set; }

    [Comment("受试者Id")]
    public Guid SubjectId { get; set; }
}
